Subject: Re: ppc4xx simple vs SoC's

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 02 Dec 2011 08:39:46 +1100

On Thu, 2011-12-01 at 06:44 -0500, Josh Boyer wrote:

> > However, the entry for ppc44x_simple doesn't select any of these,
> > meaning for example, AFAIK, that you don't get EMAC4 etc... I'm
> > surprised things work at all !
> >
> > What am I missing ?
> 
> CONFIG_PPC44x_SIMPLE is selected by the board Kconfig values, which
> also select all of the SoC Kconfig options they need as well.
> ppc44x_simple started as a way to basically avoid duplicating a bunch
> of board.c files, but it's still "driven" from the board options.
> 
> So hopefully that explains how things are working today.  The question
> now is whether you would like something different?

Ok, just getting my head around that stuff, I haven't really looked
since you and Grant I believe came up with the scheme :-) (Was wondering
what to do for currituck, but for now we'll keep it a separate board, at
least until I can decide how to deal with the interrupt quirk).

I just hadn't realized that while we had ppc4xx_simple, we still had
board Kconfig's to enable it.

Cheers,
Ben.